<?php

namespace Drupal\upsync;

use Drupal\Core\StringTranslation\TranslatableMarkup;

/**
 * Provides an interface for ResultCollector.
 */
interface ResultCollectorInterface {

  /**
   * Add a message to the collector.
   */
  public function addMessage(string|TranslatableMarkup $message, string $category = 'general');

  /**
   * Add an error message to the collector.
   */
  public function addError(string|TranslatableMarkup $message, string $category = 'general');

  /**
   * Returns collected messages.
   */
  public function getMessages(?string $category = NULL);

  /**
   * Returns collected errors.
   */
  public function getErrors(?string $category = NULL);

  /**
   * Check if there are errors.
   */
  public function hasErrors();

  /**
   * Clears the collector.
   */
  public function clear();

  /**
   * Returns messages & errors.
   */
  public function all();

}
