<?php

namespace Drupal\upsync;

/**
 * Provides an interface for UpsyncManager.
 */
interface UpsyncManagerInterface {

  /**
   * Install list of modules.
   */
  public function install(array $modules, $enable_dependencies = TRUE);

  /**
   * Syncs the configuration items.
   */
  public function syncConfigs(array $config_items);

  /**
   * Delete the configuration items.
   */
  public function deleteConfigs(array $config_items);

  /**
   * Get update results.
   */
  public function getResults();

}
